
/*可 公用 的 验证类*/
/*-------------------------------------------*/


/*只能是英文 onkeydown="onlyEng();" 
------------------------------------------*/
function onlyEng() {
    if (!(event.keyCode >= 65 && event.keyCode <= 90)) {
        event.returnvalue = false;
    }
    else {
        return true;
    }
}

/* 判断用户名是否为： 数字 字母(要验证的值value，span ID,ErrMsg)
------------------------------------------ */
function notchinese(str, spanlb, txtMsg) {
    var reg = /[^A-Za-z0-9]/g
    if (reg.test(str)) {
        if (document.getElementById(spanlb) != null) {/*显示错误信息*/
            document.getElementById(spanlb).innerHTML = txtMsg;
        }
        return (false);
    } else {
        if (document.getElementById(spanlb) != null) {/*清除错误信息*/
            document.getElementById(spanlb).innerText = "";
        }
        return (true);
    }    
}
/*-------------------------------------------*/
//全选：值是 'chkall' 的值一致
function CheckAll1(form) {
    for (var i = 0; i < form.elements.length; i++) {
        var e = form.elements[i];
        if (e.name != 'chkall' && e.type == "checkbox")
            e.checked = document.getElementById("chkall").checked;
    }
}

